{
  "$schema": "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json",
  "name": "Wire attributes",
  "scopeName": "wrn.attributes.injection",
  "injectionSelector": "L:meta.tag -comment -string",
  "patterns": [{ "include": "#wire-event" }, { "include": "#wire-directive" }],
  "repository": {
    "wire-event": {
      "match": "(@)([A-Za-z][A-Za-z0-9_-]*)",
      "captures": {
        "1": { "name": "punctuation.definition.keyword.wrn" },
        "2": { "name": "entity.other.attribute-name.wrn.event" }
      }
    },
    "wire-directive": {
      "match": "\\b(data-(?:component|scope|for|text|show|slot|on-[A-Za-z0-9_-]+|wire-[A-Za-z0-9_-]+|wrnexus-[A-Za-z0-9_-]+))\\b",
      "name": "entity.other.attribute-name.wrn.directive"
    }
  }
}
